<?php
	error_reporting (E_ALL|E_STRICT);
	
	require '../tmp/sql.php';
	require '../classes/mysql.php';
	require '../classes/settings.php';
	require '../classes/security.php';
	require '../classes/functions.php';
	require '../classes/session.php';
	require '../classes/login.php';
	require '../classes/template.php';
	require '../classes/player.php';
	require '../classes/stats.php';
	require '../classes/signatures.php';
	require '../classes/server.php';
	require '../classes/rcon.php';
	
	
	// Navigation
	echo '<a href="apitest.php?info">PHP-Info</a><br/>';
	echo '<a href="apitest.php?more">Settings</a><br/>';
	echo '<a href="apitest.php?curl">cURL Test</a><br/>';
	echo '<a href="apitest.php?socket">Socket Test</a><br/>';
	echo '<a href="apitest.php?api">API Test</a><br/>';
	echo '<a href="apitest.php?bl">Battlelog Test</a><br/>';
	echo '<br/><br/><br/>';
	
	
	// PHP-Info
	if (isset($_GET['info'])) {
		die(phpinfo());
	}
	
	
	// Settings
	if (isset($_GET['more'])) {
		$settings = new Settings();
		echo "<br/>Ident: ".$settings->get('ident');
		echo "<br/>Key: ".$settings->get('key');
		echo "<br/>Path: ".$settings->get('path');
		die();
	}
	
	
	// cURL-Test
	if (isset($_GET['curl'])) {
		$postdata = Array(
			'player' => 'ezzemm',
			'opt' => 'clear,global'
		);
		
		// BF3STATS-API
		$c=curl_init('http://api.bf3stats.com/pc/player/');
		curl_setopt($c,CURLOPT_HEADER,false); curl_setopt($c,CURLOPT_POST,true); curl_setopt($c,CURLOPT_USERAGENT,'BF3StatsAPI/0.1'); curl_setopt($c,CURLOPT_HTTPHEADER,array('Expect:')); curl_setopt($c,CURLOPT_RETURNTRANSFER,true); curl_setopt($c,CURLOPT_CONNECTTIMEOUT,5); curl_setopt($c,CURLOPT_POSTFIELDS,$postdata);
		
		$result = curl_exec($c);
		$status = curl_getinfo($c,CURLINFO_HTTP_CODE); $error = curl_error($c); $errno = curl_errno($c);
		curl_close($c);
		
		echo "<br><br>BF3STATS:<br>Status: $status<br>Error: $error ($errno)<br>Result: $result";
		
		
		// THIS PAGE
		$settings = new Settings();
		$c=curl_init($settings->get('path').'/admin/apitest.php');
		curl_setopt($c,CURLOPT_HEADER,false); curl_setopt($c,CURLOPT_POST,true); curl_setopt($c,CURLOPT_USERAGENT,'BF3StatsAPI/0.1'); curl_setopt($c,CURLOPT_HTTPHEADER,array('Expect:')); curl_setopt($c,CURLOPT_RETURNTRANSFER,true); curl_setopt($c,CURLOPT_CONNECTTIMEOUT,5); curl_setopt($c,CURLOPT_POSTFIELDS,$postdata);
		
		$result = curl_exec($c);
		$status = curl_getinfo($c,CURLINFO_HTTP_CODE); $error = curl_error($c); $errno = curl_errno($c);
		curl_close($c);
		
		echo "<br><br>THIS PAGE:<br>Status: $status<br>Error: $error ($errno)<br>Result: $result";
		
		
		// EZSTATS
		$c=curl_init('http://curl.ezstats.org/?version');
		curl_setopt($c,CURLOPT_HEADER,false); curl_setopt($c,CURLOPT_POST,true); curl_setopt($c,CURLOPT_USERAGENT,'BF3StatsAPI/0.1'); curl_setopt($c,CURLOPT_HTTPHEADER,array('Expect:')); curl_setopt($c,CURLOPT_RETURNTRANSFER,true); curl_setopt($c,CURLOPT_CONNECTTIMEOUT,5); curl_setopt($c,CURLOPT_POSTFIELDS,$postdata);
		
		$result = json_decode(curl_exec($c));
		$status = curl_getinfo($c,CURLINFO_HTTP_CODE); $error = curl_error($c); $errno = curl_errno($c);
		curl_close($c);
		
		echo "<br><br>EZSTATS:<br>Status: $status<br>Error: $error ($errno)<br>Result: $result";
		
		die();
	}
	
	
	// SOCKET-TEST
	if (isset($_GET['socket'])) {
		echo "<b>Externer Test</b>: </br></br>";
		echo "HardCoreNoobs.com #2: "; var_dump(socket_connect(socket_create(AF_INET, SOCK_STREAM, SOL_TCP), "81.19.216.80", 47200)); echo "<br/><br/>";
		
		echo "<b>Interner Test</b>: </br></br>";
		$sql = new MySQL();
		$sql->query('SELECT * FROM '.$sql->prefix.'server ORDER BY `order`');
		
		while ($server = $sql->fetchRow()) {
			$platform = '<img src="../stylesheets/images/icon_'.$server['platform'].'.png" width="16" height="16" alt="'.$server['platform'].'" />';
			$name     = $server['name'] ? $server['name'] : " n/a ";
			$ip       = $server['ip'] ? $server['ip'] : "0.0.0.0";
			$port     = $server['port'] ? $server['port'] : "00000";
			
			echo $platform.'&nbsp;&nbsp;&nbsp;'.$ip.':'.$port.' | '.$name.': ';
			var_dump(socket_connect(socket_create(AF_INET, SOCK_STREAM, SOL_TCP), $ip, $port)); echo "<br/><br/>";
		}
		
		die();
	}
	
	
	// API-Abruf
	if (isset($_GET['api'])) {
		echo "<table style='width:1800px'><tr><td valign='top' style='width: 50%; overflow: hidden: display: block'>";
		echo "<pre>";
		
		$postdata = Array('id' => "8fac81f3-4ad0-46f5-bcd1-cd6099c76894");
		
		
		$c=curl_init('http://api.bf3stats.com/pc/server/');
		curl_setopt($c,CURLOPT_HEADER,false); curl_setopt($c,CURLOPT_POST,true); curl_setopt($c,CURLOPT_USERAGENT,'BF3StatsAPI/0.1'); curl_setopt($c,CURLOPT_HTTPHEADER,array('Expect:')); curl_setopt($c,CURLOPT_RETURNTRANSFER,true); curl_setopt($c,CURLOPT_POSTFIELDS,$postdata);
		$result = json_decode(curl_exec($c));
		$statuscode = curl_getinfo($c,CURLINFO_HTTP_CODE);
		curl_close($c);
		
		print_r($result);
		echo "</td><td valign='top' style='width: 50%; overflow: hidden'>";
		echo "<pre>";
		//$postdata = Array('id' => "f265d8bb-d2d8-4668-97a4-80ada0fe1503");
		$postdata = Array('id' => "981e598a-ad9f-427e-9ac8-57e765fd1df6");
		
		$c=curl_init('http://api.mohwstats.com/pc/server/');
		curl_setopt($c,CURLOPT_HEADER,false); curl_setopt($c,CURLOPT_POST,true); curl_setopt($c,CURLOPT_USERAGENT,'BF3StatsAPI/0.1'); curl_setopt($c,CURLOPT_HTTPHEADER,array('Expect:')); curl_setopt($c,CURLOPT_RETURNTRANSFER,true); curl_setopt($c,CURLOPT_POSTFIELDS,$postdata);
		$result = json_decode(curl_exec($c));
		$statuscode = curl_getinfo($c,CURLINFO_HTTP_CODE);
		curl_close($c);
		
		print_r($result);
		
		echo "</td></tr></table>";
	}
	
	
	// BL-Test
	if (isset($_GET['bl'])) {
		echo "<pre>";
		//$c=curl_init('http://battlelog.medalofhonor.com/mohw/servers/show/b0c93ff9-7ab9-4892-97f9-a3f0f61ae3f9');
		$c=curl_init('http://battlelog.medalofhonor.com/mohw/servers/show/981e598a-ad9f-427e-9ac8-57e765fd1df6');
		curl_setopt($c,CURLOPT_HEADER,false); curl_setopt($c,CURLOPT_HTTPHEADER,array('X-AjaxNavigation: 1')); curl_setopt($c,CURLOPT_RETURNTRANSFER,true);
		$result = json_decode(curl_exec($c));
		curl_close($c);
		
		// Die Verbindung wurde hergestellt
		if ( $result !== NULL  AND isset($result->context->server) AND is_object($result->context->server)) {
				$info = $result->context->server;
				print_r($info);
				/* echo $info->numPlayers; echo "<br>";
				echo $info->maxPlayers; echo "<br>";
				echo $info->map; echo "<br>";
				echo $info->mapMode; echo "<br>";
				echo $info->map; echo "<br>"; */
		}
	}
?>














